Index: EcnlProtoTool/trunk/onigmo-6.1.3/src/onigmoposix.h
===================================================================
--- EcnlProtoTool/trunk/onigmo-5.15.0/src/onigposix.h	(revision 321)
+++ EcnlProtoTool/trunk/onigmo-6.1.3/src/onigmoposix.h	(revision 331)
@@ -1,9 +1,10 @@
-#ifndef ONIGPOSIX_H
-#define ONIGPOSIX_H
+#ifndef ONIGMOPOSIX_H
+#define ONIGMOPOSIX_H
 /**********************************************************************
-  onigposix.h - Oniguruma (regular expression library)
+  onigmoposix.h - Onigmo (Oniguruma-mod) (regular expression library)
 **********************************************************************/
 /*-
  * Copyright (c) 2002-2005  K.Kosako  <sndgk393 AT ybb DOT ne DOT jp>
+ * Copyright (c) 2011-2016  K.Takata  <kentkt AT csc DOT jp>
  * All rights reserved.
  *
@@ -62,5 +63,5 @@
 #define REG_EONIG_BADWC     15
 #define REG_EONIG_BADARG    16
-#define REG_EONIG_THREAD    17
+/* #define REG_EONIG_THREAD    17 */
 
 /* character encodings (for reg_set_encoding()) */
@@ -88,27 +89,19 @@
 
 
-#ifndef P_
-#if defined(__STDC__) || defined(_WIN32)
-# define P_(args) args
-#else
-# define P_(args) ()
-#endif
+#ifndef ONIG_EXTERN
+# if defined(_WIN32) && !defined(__GNUC__)
+#  if defined(EXPORT)
+#   define ONIG_EXTERN   extern __declspec(dllexport)
+#  else
+#   define ONIG_EXTERN   extern __declspec(dllimport)
+#  endif
+# endif
 #endif
 
 #ifndef ONIG_EXTERN
-#if defined(_WIN32) && !defined(__GNUC__)
-#if defined(EXPORT)
-#define ONIG_EXTERN   extern __declspec(dllexport)
-#else
-#define ONIG_EXTERN   extern __declspec(dllimport)
-#endif
-#endif
+# define ONIG_EXTERN   extern
 #endif
 
-#ifndef ONIG_EXTERN
-#define ONIG_EXTERN   extern
-#endif
-
-#ifndef ONIGURUMA_H
+#ifndef ONIGMO_H
 typedef unsigned int        OnigOptionType;
 
@@ -121,12 +114,12 @@
 } OnigSyntaxType;
 
-ONIG_EXTERN OnigSyntaxType OnigSyntaxPosixBasic;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxPosixExtended;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxEmacs;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxGrep;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxGnuRegex;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxJava;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxPerl;
-ONIG_EXTERN OnigSyntaxType OnigSyntaxRuby;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxPosixBasic;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxPosixExtended;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxEmacs;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxGrep;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxGnuRegex;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxJava;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxPerl;
+ONIG_EXTERN const OnigSyntaxType OnigSyntaxRuby;
 
 /* predefined syntaxes (see regsyntax.c) */
@@ -142,24 +135,25 @@
 #define ONIG_SYNTAX_DEFAULT             OnigDefaultSyntax
 
-ONIG_EXTERN OnigSyntaxType*  OnigDefaultSyntax;
+ONIG_EXTERN const OnigSyntaxType*  OnigDefaultSyntax;
 
-ONIG_EXTERN int  onig_set_default_syntax P_((OnigSyntaxType* syntax));
-ONIG_EXTERN void onig_copy_syntax P_((OnigSyntaxType* to, OnigSyntaxType* from));
-ONIG_EXTERN const char* onig_version P_((void));
-ONIG_EXTERN const char* onig_copyright P_((void));
+ONIG_EXTERN int  onig_set_default_syntax(const OnigSyntaxType* syntax);
+ONIG_EXTERN void onig_copy_syntax(OnigSyntaxType* to, const OnigSyntaxType* from);
+ONIG_EXTERN const char* onig_version(void);
+ONIG_EXTERN const char* onig_copyright(void);
+ONIG_EXTERN int onig_end(void);
 
-#endif /* ONIGURUMA_H */
+#endif /* ONIGMO_H */
 
 
-ONIG_EXTERN int    regcomp P_((regex_t* reg, const char* pat, int options));
-ONIG_EXTERN int    regexec P_((regex_t* reg, const char* str, size_t nmatch, regmatch_t* matches, int options));
-ONIG_EXTERN void   regfree P_((regex_t* reg));
-ONIG_EXTERN size_t regerror P_((int code, const regex_t* reg, char* buf, size_t size));
+ONIG_EXTERN int    regcomp(regex_t* reg, const char* pat, int options);
+ONIG_EXTERN int    regexec(regex_t* reg, const char* str, size_t nmatch, regmatch_t* matches, int options);
+ONIG_EXTERN void   regfree(regex_t* reg);
+ONIG_EXTERN size_t regerror(int code, const regex_t* reg, char* buf, size_t size);
 
 /* extended API */
-ONIG_EXTERN void reg_set_encoding P_((int enc));
-ONIG_EXTERN int  reg_name_to_group_numbers P_((regex_t* reg, const unsigned char* name, const unsigned char* name_end, int** nums));
-ONIG_EXTERN int  reg_foreach_name P_((regex_t* reg, int (*func)(const unsigned char*, const unsigned char*,int,int*,regex_t*,void*), void* arg));
-ONIG_EXTERN int  reg_number_of_names P_((regex_t* reg));
+ONIG_EXTERN void reg_set_encoding(int enc);
+ONIG_EXTERN int  reg_name_to_group_numbers(regex_t* reg, const unsigned char* name, const unsigned char* name_end, int** nums);
+ONIG_EXTERN int  reg_foreach_name(regex_t* reg, int (*func)(const unsigned char*, const unsigned char*,int,int*,regex_t*,void*), void* arg);
+ONIG_EXTERN int  reg_number_of_names(regex_t* reg);
 
 #ifdef __cplusplus
@@ -167,3 +161,3 @@
 #endif
 
-#endif /* ONIGPOSIX_H */
+#endif /* ONIGMOPOSIX_H */
